# DataExchange
TKIGES
IGESData

# IGESData_UndefinedEntity Class Reference

undefined (unknown or error) entity specific of IGES
DirPart can be correct or not : if it is not, a flag indicates
it, and each corrupted field has an associated error flag

`#include <IGESData_UndefinedEntity.hxx>`

Inheritance diagram for IGESData_UndefinedEntity:

[legend]

## Public Member Functions

Standard_EXPORT | IGESData_UndefinedEntity ()
| creates an unknown entity
Standard_EXPORT Handle_Interface_UndefinedContent | UndefinedContent () const
| Returns own data as an UndefinedContent .
Standard_EXPORT Handle_Interface_UndefinedContent | ChangeableContent ()
| Returns own data as an UndefinedContent, in order to touch it .
Standard_EXPORT void | SetNewContent (const Handle(Interface_UndefinedContent)&cont)
| Redefines a completely new UndefinedContent Used by a Copy which begins by ShallowCopy, for instance .
Standard_EXPORT Standard_Boolean | IsOKDirPart () const
| says if DirPart is OK or not (if not, it is erroneous) Note that if it is not, Def* methods can return Error status
Standard_EXPORT Standard_Integer | DirStatus () const
| returns Directory Error Status (used for Copy)
Standard_EXPORT void | SetOKDirPart ()
| Erases the Directory Error Status Warning : Be sure that data are consistent to call this method ... .
virtual Standard_EXPORT IGESData_DefType | DefLineFont () const
| returns Error status if necessary, else calls original method
virtual Standard_EXPORT IGESData_DefList | DefLevel () const
| returns Error status if necessary, else calls original method
virtual Standard_EXPORT IGESData_DefList | DefView () const
| returns Error status if necessary, else calls original method
virtual Standard_EXPORT IGESData_DefType | DefColor () const
| returns Error status if necessary, else calls original method
virtual Standard_EXPORT Standard_Boolean | HasSubScriptNumber () const
| returns Error status if necessary, else calls original method (that is, if SubScript field is not blank or positive integer)
virtual Standard_EXPORT Standard_Boolean | ReadDir (const Handle(IGESData_IGESReaderData)&IR, IGESData_DirPart &DP, Handle(Interface_Check)&ach)
| Computes the Directory Error Status, to be called before standard ReadDir from IGESReaderTool Returns True if OK (hence, Directory can be loaded), Else returns False and the DirPart <dp> is modified (hence, Directory Error Status is non null; and standard Read will work with an acceptable DirectoryPart) .
virtual Standard_EXPORT void | ReadOwnParams (const Handle(IGESData_IGESReaderData)&IR, IGESData_ParamReader &PR)
| reads own parameters from file; PR gives access to them, IR detains parameter types and values Here, reads all parameters, integers are considered as entity reference unless they cannot be; no list interpretation No property or associativity list is managed
virtual Standard_EXPORT void | WriteOwnParams (IGESData_IGESWriter &IW) const
| writes parameters to IGESWriter, taken from UndefinedContent
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | thedstat
Handle_Interface_UndefinedContent | thecont

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_UndefinedEntity::IGESData_UndefinedEntity | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_Interface_UndefinedContent IGESData_UndefinedEntity::ChangeableContent | ( |  | ) |

virtual Standard_EXPORT IGESData_DefType IGESData_UndefinedEntity::DefColor | ( |  | ) | const`[virtual]`

| Reimplemented from IGESData_IGESEntity.

virtual Standard_EXPORT IGESData_DefList IGESData_UndefinedEntity::DefLevel | ( |  | ) | const`[virtual]`

| Reimplemented from IGESData_IGESEntity.

virtual Standard_EXPORT IGESData_DefType IGESData_UndefinedEntity::DefLineFont | ( |  | ) | const`[virtual]`

| Reimplemented from IGESData_IGESEntity.

virtual Standard_EXPORT IGESData_DefList IGESData_UndefinedEntity::DefView | ( |  | ) | const`[virtual]`

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Integer IGESData_UndefinedEntity::DirStatus | ( |  | ) | const

Standard_EXPORT const IGESData_UndefinedEntity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity. Reimplemented in IGESData_FreeFormatEntity.

virtual Standard_EXPORT Standard_Boolean IGESData_UndefinedEntity::HasSubScriptNumber | ( |  | ) | const`[virtual]`

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Boolean IGESData_UndefinedEntity::IsOKDirPart | ( |  | ) | const

virtual Standard_EXPORT Standard_Boolean IGESData_UndefinedEntity::ReadDir | ( | const Handle(IGESData_IGESReaderData)& | IR,
|  | IGESData_DirPart & | DP,
|  | Handle(Interface_Check)& | ach
| ) | `[virtual]`

virtual Standard_EXPORT void IGESData_UndefinedEntity::ReadOwnParams | ( | const Handle(IGESData_IGESReaderData)& | IR,
|  | IGESData_ParamReader & | PR
| ) | `[virtual]`

Standard_EXPORT void IGESData_UndefinedEntity::SetNewContent | ( | const Handle(Interface_UndefinedContent)& | cont | ) |

Standard_EXPORT void IGESData_UndefinedEntity::SetOKDirPart | ( |  | ) |

Standard_EXPORT Handle_Interface_UndefinedContent IGESData_UndefinedEntity::UndefinedContent | ( |  | ) | const

virtual Standard_EXPORT void IGESData_UndefinedEntity::WriteOwnParams | ( | IGESData_IGESWriter & | IW | ) | const`[virtual]`

| Reimplemented in IGESData_FreeFormatEntity.

## Field Documentation

Handle_Interface_UndefinedContent IGESData_UndefinedEntity::thecont `[private]`

Standard_Integer IGESData_UndefinedEntity::thedstat `[private]`

The documentation for this class was generated from the following file:

- IGESData_UndefinedEntity.hxx